#!/usr/bin/env ruby
$VERBOSE = true; $:.unshift File.dirname($0)

require 'Qt'

class MyWidget < TQt::Widget

def initialize(parent = nil, name = nil)
	super
    setMinimumSize(200, 120)
    setMaximumSize(200, 120)

    quit = TQt::PushButton.new('Quit', self, 'quit')
    quit.setGeometry(62, 40, 75, 30)
    quit.setFont(TQt::Font.new('Times', 18, TQt::Font::Bold))
    connect(quit, TQ_SIGNAL('clicked()'), $qApp, TQ_SLOT('quit()'))
end

end

a = TQt::Application.new(ARGV)

w = MyWidget.new
w.setGeometry(100, 100, 200, 120)
a.setMainWidget(w)
w.show
a.exec
